com.tibbo.aggregate.common.util

## Class DateUtils

- java.lang.Object
- - com.tibbo.aggregate.common.util.DateUtils

-     public class DateUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATATABLE_DATE_PATTERN`
    `static java.util.HashMap<java.lang.Object,java.lang.String>` | `DATE_TIME_FORMATS`
    `static java.lang.String` | `DEFAULT_DATE_PATTERN`
    `static java.lang.String` | `DEFAULT_TIME_PATTERN`
    `static java.util.HashMap<java.lang.Object,java.lang.String>` | `TIME_FORMATS`
    `static java.util.TimeZone` | `UTC_TIME_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.text.SimpleDateFormat` | `createDateFormatter()`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `dateTimeFormats()`
    `static java.lang.String` | `determineDateFormat(java.lang.String dateString)`
    `static java.lang.String` | `getDateTimePattern(java.lang.String datePattern, java.lang.String timePattern)`
    `static java.util.Date` | `getEndOfDay(java.util.Date date)`
    `static java.util.Date` | `getEndOfHour(java.util.Date date)`
    `static java.util.Date` | `getEndOfMonth(java.util.Date date)`
    `static java.util.Date` | `getEndOfWeek(java.util.Date date)`
    `static java.util.Date` | `getEndOfYear(java.util.Date date)`
    `static java.text.SimpleDateFormat` | `getPattern(DataRecord field)`
    `static java.lang.String` | `getPattern(java.lang.String editor)`
    `static java.util.Date` | `getStartOfDay(java.util.Date date)`
    `static java.util.Date` | `getStartOfHour(java.util.Date date)`
    `static java.util.Date` | `getStartOfMonth(java.util.Date date)`
    `static java.util.Date` | `getStartOfWeek(java.util.Date date)`
    `static java.util.Date` | `getStartOfYear(java.util.Date date)`
    `static java.util.Date` | `parseSmart(java.lang.String dateString)`
    `static java.util.Map<java.lang.Object,java.lang.String>` | `timeFormats()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DATE_PATTERN

          public static final java.lang.String DEFAULT_DATE_PATTERN

      See Also:
        Constant Field Values

    - #### DEFAULT_TIME_PATTERN

          public static final java.lang.String DEFAULT_TIME_PATTERN

      See Also:
        Constant Field Values

    - #### DATATABLE_DATE_PATTERN

          public static final java.lang.String DATATABLE_DATE_PATTERN

      See Also:
        Constant Field Values

    - #### UTC_TIME_ZONE

          public static final java.util.TimeZone UTC_TIME_ZONE

    - #### DATE_TIME_FORMATS

          public static final java.util.HashMap<java.lang.Object,java.lang.String> DATE_TIME_FORMATS

    - #### TIME_FORMATS

          public static final java.util.HashMap<java.lang.Object,java.lang.String> TIME_FORMATS

  - ### Constructor Detail

    - #### DateUtils

          public DateUtils()

  - ### Method Detail

    - #### createDateFormatter

          public static java.text.SimpleDateFormat createDateFormatter()

    - #### getDateTimePattern

          public static java.lang.String getDateTimePattern(java.lang.String datePattern,
                                                            java.lang.String timePattern)

    - #### getStartOfHour

          public static java.util.Date getStartOfHour(java.util.Date date)

    - #### getEndOfHour

          public static java.util.Date getEndOfHour(java.util.Date date)

    - #### getStartOfDay

          public static java.util.Date getStartOfDay(java.util.Date date)

    - #### getEndOfDay

          public static java.util.Date getEndOfDay(java.util.Date date)

    - #### getStartOfWeek

          public static java.util.Date getStartOfWeek(java.util.Date date)

    - #### getEndOfWeek

          public static java.util.Date getEndOfWeek(java.util.Date date)

    - #### getStartOfMonth

          public static java.util.Date getStartOfMonth(java.util.Date date)

    - #### getEndOfMonth

          public static java.util.Date getEndOfMonth(java.util.Date date)

    - #### getStartOfYear

          public static java.util.Date getStartOfYear(java.util.Date date)

    - #### getEndOfYear

          public static java.util.Date getEndOfYear(java.util.Date date)

    - #### dateTimeFormats

          public static java.util.Map<java.lang.Object,java.lang.String> dateTimeFormats()

    - #### timeFormats

          public static java.util.Map<java.lang.Object,java.lang.String> timeFormats()

    - #### parseSmart

          public static java.util.Date parseSmart(java.lang.String dateString)
                                           throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### determineDateFormat

          public static java.lang.String determineDateFormat(java.lang.String dateString)

    - #### getPattern

          public static java.text.SimpleDateFormat getPattern(DataRecord field)

    - #### getPattern

          public static java.lang.String getPattern(java.lang.String editor)